***[ WSC32 Declarations (WSC Ver 3.0) for xBase++] ***
#define COM1   0
#define COM2   1
#define COM3   2
#define COM4   3
#define COM5   4
#define COM6   5
#define COM7   6
#define COM8   7
#define COM9   8
#define COM10  9
#define COM11 10
#define COM12 11
#define COM13 12
#define COM14 13
#define COM15 14
#define COM16 15
#define COM17 16
#define COM18 17
#define COM19 18
#define COM20 19
*** Parity Codes
#define WSC_NoParity 0
#define WSC_OddParity  1
#define WSC_EvenParity 2
#define WSC_MarkParity 3
#define WSC_SpaceParity 4
*** Stop Bit Codes
#define WSC_OneStopBit   0
#define WSC_One5StopBits 1
#define WSC_TwoStopBits  2
*** Word Length Codes
#define WSC_WordLength5  5
#define WSC_WordLength6  6
#define WSC_WordLength7  7
#define WSC_WordLength8  8
*** return codes
#define WSC_NO_DATA   (-100)
#define WSC_RANGE     (-101)
#define WSC_ABORTED   (-102)
#define WSC_WIN32ERR  (-103)
#define WSC_EXPIRED   (-104)
#define WSC_BUFFERS   (-105)
#define WSC_THREAD    (-106)
#define WSC_IE_BADID     (-1)
#define WSC_IE_OPEN      (-2)
#define WSC_IE_NOPEN     (-3)
#define WSC_IE_MEMORY    (-4)
#define WSC_IE_DEFAULT   (-5)
#define WSC_IE_HARDWARE  (-10)
#define WSC_IE_BYTESIZE  (-11)
#define WSC_IE_BAUDRATE  (-12)
*** baud codes
#define WSC_Baud110    0
#define WSC_Baud300    1
#define WSC_Baud1200   2
#define WSC_Baud2400   3
#define WSC_Baud4800   4
#define WSC_Baud9600   5
#define WSC_Baud19200  6
#define WSC_Baud38400  7
#define WSC_Baud57600  8
#define WSC_Baud115200 9
*** SioGetError masks
#define WSC_RXOVER   0x0001
#define WSC_OVERRUN  0x0002
#define WSC_PARITY   0x0004
#define WSC_FRAME    0x0008
#define WSC_BREAK    0x0010
#define WSC_TXFULL   0x0100
*** WSC Functions
FUNCTION xSioBaud(nPort,nBaud)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioBaud",nPort,nBaud)
FUNCTION xSioCTS(nPort)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioCTS",nPort)
FUNCTION xSioDCD(nPort)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioDCD",nPort)
FUNCTION xSioDebug(nPort)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioDebug",nPort)
FUNCTION xSioDone(nPort)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioDone",nPort)
FUNCTION xSioDSR(nPort)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioDSR",nPort)
FUNCTION xSioDTR(nPort,nParm)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioDTR",nPort,nParm)
FUNCTION xSioEvent(nPort,nMask)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioEvent",nPort,nMask)
FUNCTION xSioFlow(nPort,nFlow)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioFlow",nPort,nFlow)
FUNCTION xSioInfo(nPort)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioInfo",nPort)
FUNCTION xSioGetc(nPort)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioGetc",nPort)
FUNCTION xSioGets(nPort,cBuffer,nSize)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioGets",nPort,@cBuffer,nSize)
FUNCTION xSioParms(nPort,nParm,nValue)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioParms",nPort,nParm,nValue)
FUNCTION xSioPutc(nPort,nChar)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioPutc",nPort,nChar)
FUNCTION xSioPuts(nPort,cBuffer,nSize)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioPuts",nPort,@cBuffer,nSize)
FUNCTION xSioRead(nPort,nReg)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioRead",nPort,nReg)
FUNCTION xSioReset(nPort,nRxSize,nTxSize)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioReset",nPort,nRxSize,nTxSize)
FUNCTION xSioRI(nPort)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioRI",nPort)
FUNCTION xSioRTS(nPort,nParm)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioRTS",nPort,nParm)
FUNCTION xSioRxClear(nPort)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioRxClear",nPort)
FUNCTION xSioRxQue(nPort)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioRxQue",nPort)
FUNCTION xSioStatus(nPort,nMask)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioStatus",nPort,nMask)
FUNCTION xSioTxClear(nPort)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioTxClear",nPort)
FUNCTION xSioTxQue(nPort)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioTxQue",nPort)
FUNCTION xSioUnGetc(nPort,nChar)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioUnGetc",nPort,nChar)
FUNCTION xSioWinError(cBuffer,nSize)
RETURN DLLCALL("WSC32.DLL",DLL_STDCALL,"SioWinError",@cBuffer,nSize)
***[ End of WSC32 Declarations ]***
