///////////////////////////////////////////////////////////////////////////////
//
//  Function-oriented code created by the Xbase++ FormDesigner
//    Creation date: 07/31/00 Time: 02:54:45
//
///////////////////////////////////////////////////////////////////////////////

#include "Gra.ch"
#include "Xbp.ch"
#include "Appevent.ch"
#include "Font.ch"

#INCLUDE "DLL.CH"

STATIC oXbpOutput
STATIC oXbpExit
STATIC oXbpSend

#INCLUDE "WSC32.CH"

PROCEDURE Main
   LOCAL nEvent, mp1, mp2
   LOCAL oDlg, oXbp, drawingArea, aEditControls := {}

   oDlg := XbpDialog():new( AppDesktop(), , {71,97}, {600,437}, , .F.)
   oDlg:taskList := .T.
   oDlg:title := "ATOK Program"
   oDlg:create()

   drawingArea := oDlg:drawingArea
   drawingArea:setFontCompoundName( "8.Arial" )

   oXbpOutput := XbpMle():new( drawingArea, , {12,48}, {564,348}, { { XBP_PP_BGCLR, XBPSYSCLR_ENTRYFIELD } } )
   oXbpOutput:clipSiblings := .T.
   oXbpOutput:create()

   oXbpExit := XbpPushButton():new( drawingArea, , {120,12}, {96,24} )
   oXbpExit:caption := "Exit"
   oXbpExit:clipSiblings := .T.
   oXbpExit:create()
   oXbpExit:activate := {|| xSioDone(COM1), Gather( aEditControls ), PostAppEvent( xbeP_Close ) }

   oXbpSend := XbpPushButton():new( drawingArea, , {12,12}, {96,24} )
   oXbpSend:caption := "Send 'AT'"
   oXbpSend:clipSiblings := .T.
   oXbpSend:create()
   oXbpSend:activate := {|| SendAT(COM1) }

   oDlg:show()

   DisplayText("Push 'Send AT' button below to send AT to modem on COM1")

   nEvent := xbe_None
   DO WHILE nEvent <> xbeP_Close
      nEvent := AppEvent( @mp1, @mp2, @oXbp )
      oXbp:handleEvent( nEvent, mp1, mp2 )
   ENDDO
RETURN

Procedure DisplayText(Text)
   LOCAL X
   X = oXbpOutput:getData()
   oXbpOutput:setData(X + Text + Chr(13) + Chr(10) )
return

Procedure DisplayError(ErrCode)
   LOCAL Code
   LOCAL Buffer
   if ErrCode < 0
     DisplayText("ERROR " + Str(ErrCode))
     Buffer = SPACE(128)
     Code = xSioWinError(@Buffer, 128)
     if Code > 0
       DisplayText(Left(Buffer,Code))
     endif
   endif
return

Procedure SendAT(Port)
LOCAL Code
LOCAL Temp
oXbpSend:disable()
*** PROGRAMMER: delete next line in registered version ***
DisplayText("*** Type 'SW Info' on tool bar at bottom of screen ! ***")
*** END-PROGRAMMER ***
* reset port
Code = xSioReset(Port,512,512)
if Code < 0
  DisplayError(Code)
  Return
endif
DisplayText("Transmitting AT to modem connected to COM" + LTRIM(Str(1+Port)))
DisplayText("Expecting OK back")
Code = xSioBaud(Port,19200)
* set DTR and RTS
Code = xSioDTR(Port,Asc("S"))
Code = xSioRTS(Port,Asc("S"))
* transmit "AT" to modem
Code = xSioPutc(Port,13)
Sleep(25)
Code = xSioPutc(Port,13)
Sleep(25)
Code = xSioPutc(Port,Asc("A"))
Sleep(25)
Code = xSioPutc(Port,Asc("T"))
Sleep(25)
Code = xSioPutc(Port,13)
* wait one second for response
Sleep(10)
Temp = SPACE(32)
* look for response
Code = xSioGets(Port, @Temp, 32)
If Code > 0
 * display response
 DisplayText(Left(Temp, Code))
EndIf
Code = xSioDone(Port)
return

