*
* DEVICE.PRG
*
* Xbase++ "DEVICE" program.
*
* PROGRAMMER:
*   (1) To compile: xpp device.prg
*   (2) To link: alink device.obj wsc32.lib
*

#INCLUDE "DLL.CH"
#INCLUDE "WSC32.CH"

Procedure Main()
LOCAL Code
LOCAL Port
LOCAL Baud
LOCAL Buffer
LOCAL I
LOCAL C
LOCAL Temp
LOCAL TextStr
LOCAL TextLen

Port = COM1
Baud = 19200

? "DEVICE 7/24/2000"
?
? "Using COM" + LTRIM(STR(1+Port)) + " @ " + LTRIM(STR(Baud))
?

Code = xSioReset(Port, 1024, 1024)

if Code < 0
  ? "ERROR " + Str(Code)
  Buffer = SPACE(128)
  Code = xSioWinError(@Buffer, 128)
  if Code > 0
    ? Left(Buffer,Code)
  endif
endif

xSioBaud(Port, Baud)
xSioDTR(Port, ASC("S"))
xSioRTS(Port, ASC("S"))

*** PROGRAMMER: Edit string to transmit ***
TextStr = "AT" + Chr(13)
*** END-PROGRAMMER ***

TextLen = Len(TextStr)

? "TextStr = " + TextStr
? "TextLen = " + Str(TextLen)
? "-------------------------------------"
For I = 1 to TextLen
  C = TextStr[I]
  *? "<"+C+">"
  Code = xSioPutc(Port, ASC(C))
  Sleep(15)
EndFor
* wait one second for response
Sleep(100)
Temp = SPACE(32)
* look for response
Code = xSioGets(Port, @Temp, 32)
If Code > 0
 * display response
 ? Left(Temp, Code)
EndIf
? "-------------------------------------"
xSioDone(Port)
? "All Done"
return



